## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check

%global crate jql

Name:           rust-%{crate}
Version:        2.9.5
Release:        %autorelease
Summary:        JSON query language CLI tool

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/jql
Source:         %{crates_source}
# Initial patched metadata
# * drop criterion dev-dependency (only used by benchmarks)
Patch0:         jql-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
JSON query language CLI tool.}

%description %{_description}

%if ! %{__cargo_skip_build}
%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# EPL-2.0
# MIT
# MIT or ASL 2.0
# Unlicense or MIT
License:        MIT and EPL-2.0 and (ASL 2.0 or Boost)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-MIT
%doc README.md PERFORMANCE.md
%{_bindir}/jql
%endif

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT
%doc README.md PERFORMANCE.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 24 2021 Fabio Valentini <decathorpe@gmail.com> 2.9.5-1
- Update to version 2.9.5; Fixes RHBZ#1997033

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> 2.9.4-2
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Thu Jul 29 2021 Fabio Valentini <decathorpe@gmail.com> 2.9.4-1
- Update to version 2.9.4; Fixes RHBZ#1895640

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:31:07 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.7.4-2
- Rebuild

* Thu Oct 15 2020 Fabio Valentini <decathorpe@gmail.com> - 2.7.4-1
- Update to version 2.7.4.

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 2.7.2-1
- Update to version 2.7.2.

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 2.7.1-1
- Update to 2.7.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 30 2020 Josh Stone <jistone@redhat.com> - 2.6.1-1
- Update to 2.6.1

* Tue May 26 2020 Josh Stone <jistone@redhat.com> - 2.6.0-1
- Update to 2.6.0

* Thu Apr 30 2020 Josh Stone <jistone@redhat.com> - 2.5.1-1
- Update to 2.5.1

* Mon Apr 27 08:24:01 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.5.0-1
- Update to 2.5.0

* Tue Feb 11 10:10:25 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.4.9-1
- Update to 2.4.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 25 2020 Josh Stone <jistone@redhat.com> - 2.4.8-1
- Update to 2.4.8

* Fri Dec 20 11:43:01 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.4.7-1
- Initial package

